# Generated by Django 3.1.6 on 2021-02-16 14:45

import django.db.models.deletion
import django.utils.timezone
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0060_fix_workflow_unique_constraint"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("uniweb", "0010_auto_20210209_1222"),
    ]

    operations = [
        migrations.CreateModel(
            name="UniwebArticlesIndexPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sekce článků",
            },
            bases=(
                "wagtailcore.page",
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="UniwebArticlePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "date",
                    models.DateField(
                        default=django.utils.timezone.now, verbose_name="datum"
                    ),
                ),
                ("perex", models.TextField(verbose_name="perex")),
                (
                    "text",
                    wagtail.fields.RichTextField(blank=True, verbose_name="článek"),
                ),
                (
                    "author",
                    models.CharField(
                        blank=True, max_length=250, null=True, verbose_name="autor"
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Článek",
            },
            bases=(
                "wagtailcore.page",
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                models.Model,
            ),
        ),
    ]
