# Generated by Django 5.0.6 on 2024-06-26 12:45

import wagtail.blocks
import wagtail.blocks.static_block
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0072_auto_20240626_1235"),
    ]

    operations = [
        migrations.AlterField(
            model_name="uniwebflexiblepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Velký, Bebas Neue - 6XL"),
                                            (
                                                "head-alt-lg",
                                                "Střední, Bebas Neue - 4XL",
                                            ),
                                            (
                                                "head-alt-md",
                                                "Základní velikost - Roboto - MD",
                                            ),
                                            ("head-alt-sm", "Malý - Roboto - SM"),
                                            ("head-alt-xs", "Extra malý - Roboto - XS"),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                            template="styleguide2/includes/atoms/text/prose_richtext.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="Textový editor",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                                "embed",
                                            ],
                                            label="Odstavec",
                                        ),
                                        label="Odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                        label="Obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "aligned_table",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "alignment",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "Vlevo"),
                                            ("center", "Vprostřed"),
                                            ("right", "Vpravo"),
                                            ("full", "Celá šířka obrazovky"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                                (
                                    "table",
                                    wagtail.contrib.table_block.blocks.TableBlock(
                                        label="Tabulka"
                                    ),
                                ),
                            ],
                            group="ostatní",
                            template="styleguide2/includes/atoms/table/aligned_table.html",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="Tabulka",
                            template="styleguide2/includes/atoms/table/table.html",
                        ),
                    ),
                    (
                        "articles",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Sekce článků",
                                        page_type=["uniweb.UniwebArticlesIndexPage"],
                                    ),
                                ),
                                (
                                    "lines",
                                    wagtail.blocks.IntegerBlock(
                                        default=1,
                                        help_text="Zobrazí se tři články na řádek",
                                        label="Počet řádků",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "calendar_agenda",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "info",
                                    wagtail.blocks.static_block.StaticBlock(
                                        admin_text="adresa kalendáře se zadává v nastavení hlavní stránky webu",
                                        label="volba kalendáře",
                                    ),
                                ),
                                (
                                    "count",
                                    wagtail.blocks.IntegerBlock(
                                        default=10, label="maximum událostí k zobrazení"
                                    ),
                                ),
                                (
                                    "event_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("future", "budoucí"),
                                            ("past", "proběhlé"),
                                        ],
                                        label="druh událostí",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("pirati-yellow", "Žlutá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelená"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "chart",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", max_length=120
                                    ),
                                ),
                                (
                                    "chart_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("bar", "Graf se sloupci"),
                                            (
                                                "horizontalBar",
                                                "Graf s vodorovnými sloupci",
                                            ),
                                            ("pie", "Koláčový graf"),
                                            ("doughnut", "Donutový graf"),
                                            ("polarArea", "Graf polární oblasti"),
                                            ("radar", "Radarový graf"),
                                            ("line", "Graf s liniemi"),
                                        ],
                                        label="Typ",
                                    ),
                                ),
                                (
                                    "hide_points",
                                    wagtail.blocks.BooleanBlock(
                                        help_text="Mění vzhled pouze u linových grafů.",
                                        label="Schovat body",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_labels",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            label="Skupina", max_length=40
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místně definované skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení zdroje dat",
                                                        max_length=120,
                                                    ),
                                                ),
                                                (
                                                    "data",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.IntegerBlock(),
                                                        default=[0],
                                                        label="Data",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místní zdroje dat",
                                        required=False,
                                    ),
                                ),
                                (
                                    "redmine_issue_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "projects",
                                                    wagtail.blocks.MultipleChoiceBlock(
                                                        choices=shared.blocks.get_redmine_projects,
                                                        label="Projekty",
                                                    ),
                                                ),
                                                (
                                                    "is_open",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen otevřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "is_closed",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen uzavřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "created_on_min_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Min. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "created_on_max_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Max. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "updated_on",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. <=2023-01-01. Více informací na pi2.cz/redmine-api",
                                                        label="Filtr pro datum aktualizace",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "issue_label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení úkolů uvnitř grafu",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "split_per_project",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Rozdělit podle projektu",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "only_grow",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Pouze růst nahoru",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Redmine úkoly",
                                        ),
                                        blank=True,
                                        default=[],
                                        help_text="Úkoly, podle doby vytvoření. Pokud definuješ více zdrojů, datumy v nich musí být stejné.",
                                        label="Zdroje dat z Redmine (úkoly)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ],
                            template="uniweb/blocks/flip_cards.html",
                        ),
                    ),
                    (
                        "newsletter",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "list_id",
                                    wagtail.blocks.CharBlock(
                                        label="ID newsletteru", required=True
                                    ),
                                ),
                                (
                                    "title_line_1",
                                    wagtail.blocks.CharBlock(
                                        default="Odebírej náš",
                                        label="Nadpis bloku (1. řádek)",
                                        required=True,
                                    ),
                                ),
                                (
                                    "title_line_2",
                                    wagtail.blocks.CharBlock(
                                        default="newsletter",
                                        label="Nadpis bloku (2. řádek)",
                                        required=True,
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.CharBlock(
                                        default="Fake news tam nenajdeš, ale dozvíš se, co chystáme doopravdy!",
                                        label="Popis newsletteru",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebformpage",
            name="content_after",
            field=wagtail.fields.StreamField(
                [
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Velký, Bebas Neue - 6XL"),
                                            (
                                                "head-alt-lg",
                                                "Střední, Bebas Neue - 4XL",
                                            ),
                                            (
                                                "head-alt-md",
                                                "Základní velikost - Roboto - MD",
                                            ),
                                            ("head-alt-sm", "Malý - Roboto - SM"),
                                            ("head-alt-xs", "Extra malý - Roboto - XS"),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                            template="styleguide2/includes/atoms/text/prose_richtext.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="Textový editor",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                                "embed",
                                            ],
                                            label="Odstavec",
                                        ),
                                        label="Odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                        label="Obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "aligned_table",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "alignment",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "Vlevo"),
                                            ("center", "Vprostřed"),
                                            ("right", "Vpravo"),
                                            ("full", "Celá šířka obrazovky"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                                (
                                    "table",
                                    wagtail.contrib.table_block.blocks.TableBlock(
                                        label="Tabulka"
                                    ),
                                ),
                            ],
                            group="ostatní",
                            template="styleguide2/includes/atoms/table/aligned_table.html",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="Tabulka",
                            template="styleguide2/includes/atoms/table/table.html",
                        ),
                    ),
                    (
                        "articles",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Sekce článků",
                                        page_type=["uniweb.UniwebArticlesIndexPage"],
                                    ),
                                ),
                                (
                                    "lines",
                                    wagtail.blocks.IntegerBlock(
                                        default=1,
                                        help_text="Zobrazí se tři články na řádek",
                                        label="Počet řádků",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "calendar_agenda",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "info",
                                    wagtail.blocks.static_block.StaticBlock(
                                        admin_text="adresa kalendáře se zadává v nastavení hlavní stránky webu",
                                        label="volba kalendáře",
                                    ),
                                ),
                                (
                                    "count",
                                    wagtail.blocks.IntegerBlock(
                                        default=10, label="maximum událostí k zobrazení"
                                    ),
                                ),
                                (
                                    "event_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("future", "budoucí"),
                                            ("past", "proběhlé"),
                                        ],
                                        label="druh událostí",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("pirati-yellow", "Žlutá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelená"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "chart",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", max_length=120
                                    ),
                                ),
                                (
                                    "chart_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("bar", "Graf se sloupci"),
                                            (
                                                "horizontalBar",
                                                "Graf s vodorovnými sloupci",
                                            ),
                                            ("pie", "Koláčový graf"),
                                            ("doughnut", "Donutový graf"),
                                            ("polarArea", "Graf polární oblasti"),
                                            ("radar", "Radarový graf"),
                                            ("line", "Graf s liniemi"),
                                        ],
                                        label="Typ",
                                    ),
                                ),
                                (
                                    "hide_points",
                                    wagtail.blocks.BooleanBlock(
                                        help_text="Mění vzhled pouze u linových grafů.",
                                        label="Schovat body",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_labels",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            label="Skupina", max_length=40
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místně definované skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení zdroje dat",
                                                        max_length=120,
                                                    ),
                                                ),
                                                (
                                                    "data",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.IntegerBlock(),
                                                        default=[0],
                                                        label="Data",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místní zdroje dat",
                                        required=False,
                                    ),
                                ),
                                (
                                    "redmine_issue_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "projects",
                                                    wagtail.blocks.MultipleChoiceBlock(
                                                        choices=shared.blocks.get_redmine_projects,
                                                        label="Projekty",
                                                    ),
                                                ),
                                                (
                                                    "is_open",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen otevřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "is_closed",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen uzavřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "created_on_min_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Min. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "created_on_max_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Max. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "updated_on",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. <=2023-01-01. Více informací na pi2.cz/redmine-api",
                                                        label="Filtr pro datum aktualizace",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "issue_label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení úkolů uvnitř grafu",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "split_per_project",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Rozdělit podle projektu",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "only_grow",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Pouze růst nahoru",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Redmine úkoly",
                                        ),
                                        blank=True,
                                        default=[],
                                        help_text="Úkoly, podle doby vytvoření. Pokud definuješ více zdrojů, datumy v nich musí být stejné.",
                                        label="Zdroje dat z Redmine (úkoly)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ],
                            template="uniweb/blocks/flip_cards.html",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky za formulářem",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebformpage",
            name="content_before",
            field=wagtail.fields.StreamField(
                [
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Velký, Bebas Neue - 6XL"),
                                            (
                                                "head-alt-lg",
                                                "Střední, Bebas Neue - 4XL",
                                            ),
                                            (
                                                "head-alt-md",
                                                "Základní velikost - Roboto - MD",
                                            ),
                                            ("head-alt-sm", "Malý - Roboto - SM"),
                                            ("head-alt-xs", "Extra malý - Roboto - XS"),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                            template="styleguide2/includes/atoms/text/prose_richtext.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="Textový editor",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                                "embed",
                                            ],
                                            label="Odstavec",
                                        ),
                                        label="Odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                        label="Obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "aligned_table",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "alignment",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "Vlevo"),
                                            ("center", "Vprostřed"),
                                            ("right", "Vpravo"),
                                            ("full", "Celá šířka obrazovky"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                                (
                                    "table",
                                    wagtail.contrib.table_block.blocks.TableBlock(
                                        label="Tabulka"
                                    ),
                                ),
                            ],
                            group="ostatní",
                            template="styleguide2/includes/atoms/table/aligned_table.html",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="Tabulka",
                            template="styleguide2/includes/atoms/table/table.html",
                        ),
                    ),
                    (
                        "articles",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Sekce článků",
                                        page_type=["uniweb.UniwebArticlesIndexPage"],
                                    ),
                                ),
                                (
                                    "lines",
                                    wagtail.blocks.IntegerBlock(
                                        default=1,
                                        help_text="Zobrazí se tři články na řádek",
                                        label="Počet řádků",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "calendar_agenda",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "info",
                                    wagtail.blocks.static_block.StaticBlock(
                                        admin_text="adresa kalendáře se zadává v nastavení hlavní stránky webu",
                                        label="volba kalendáře",
                                    ),
                                ),
                                (
                                    "count",
                                    wagtail.blocks.IntegerBlock(
                                        default=10, label="maximum událostí k zobrazení"
                                    ),
                                ),
                                (
                                    "event_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("future", "budoucí"),
                                            ("past", "proběhlé"),
                                        ],
                                        label="druh událostí",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("pirati-yellow", "Žlutá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelená"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "chart",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", max_length=120
                                    ),
                                ),
                                (
                                    "chart_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("bar", "Graf se sloupci"),
                                            (
                                                "horizontalBar",
                                                "Graf s vodorovnými sloupci",
                                            ),
                                            ("pie", "Koláčový graf"),
                                            ("doughnut", "Donutový graf"),
                                            ("polarArea", "Graf polární oblasti"),
                                            ("radar", "Radarový graf"),
                                            ("line", "Graf s liniemi"),
                                        ],
                                        label="Typ",
                                    ),
                                ),
                                (
                                    "hide_points",
                                    wagtail.blocks.BooleanBlock(
                                        help_text="Mění vzhled pouze u linových grafů.",
                                        label="Schovat body",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_labels",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            label="Skupina", max_length=40
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místně definované skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení zdroje dat",
                                                        max_length=120,
                                                    ),
                                                ),
                                                (
                                                    "data",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.IntegerBlock(),
                                                        default=[0],
                                                        label="Data",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místní zdroje dat",
                                        required=False,
                                    ),
                                ),
                                (
                                    "redmine_issue_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "projects",
                                                    wagtail.blocks.MultipleChoiceBlock(
                                                        choices=shared.blocks.get_redmine_projects,
                                                        label="Projekty",
                                                    ),
                                                ),
                                                (
                                                    "is_open",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen otevřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "is_closed",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen uzavřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "created_on_min_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Min. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "created_on_max_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Max. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "updated_on",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. <=2023-01-01. Více informací na pi2.cz/redmine-api",
                                                        label="Filtr pro datum aktualizace",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "issue_label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení úkolů uvnitř grafu",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "split_per_project",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Rozdělit podle projektu",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "only_grow",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Pouze růst nahoru",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Redmine úkoly",
                                        ),
                                        blank=True,
                                        default=[],
                                        help_text="Úkoly, podle doby vytvoření. Pokud definuješ více zdrojů, datumy v nich musí být stejné.",
                                        label="Zdroje dat z Redmine (úkoly)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ],
                            template="uniweb/blocks/flip_cards.html",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky před formulářem",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebformpage",
            name="content_landing",
            field=wagtail.fields.StreamField(
                [
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Velký, Bebas Neue - 6XL"),
                                            (
                                                "head-alt-lg",
                                                "Střední, Bebas Neue - 4XL",
                                            ),
                                            (
                                                "head-alt-md",
                                                "Základní velikost - Roboto - MD",
                                            ),
                                            ("head-alt-sm", "Malý - Roboto - SM"),
                                            ("head-alt-xs", "Extra malý - Roboto - XS"),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                            template="styleguide2/includes/atoms/text/prose_richtext.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="Textový editor",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                                "embed",
                                            ],
                                            label="Odstavec",
                                        ),
                                        label="Odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                        label="Obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "aligned_table",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "alignment",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "Vlevo"),
                                            ("center", "Vprostřed"),
                                            ("right", "Vpravo"),
                                            ("full", "Celá šířka obrazovky"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                                (
                                    "table",
                                    wagtail.contrib.table_block.blocks.TableBlock(
                                        label="Tabulka"
                                    ),
                                ),
                            ],
                            group="ostatní",
                            template="styleguide2/includes/atoms/table/aligned_table.html",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="Tabulka",
                            template="styleguide2/includes/atoms/table/table.html",
                        ),
                    ),
                    (
                        "articles",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Sekce článků",
                                        page_type=["uniweb.UniwebArticlesIndexPage"],
                                    ),
                                ),
                                (
                                    "lines",
                                    wagtail.blocks.IntegerBlock(
                                        default=1,
                                        help_text="Zobrazí se tři články na řádek",
                                        label="Počet řádků",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "calendar_agenda",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "info",
                                    wagtail.blocks.static_block.StaticBlock(
                                        admin_text="adresa kalendáře se zadává v nastavení hlavní stránky webu",
                                        label="volba kalendáře",
                                    ),
                                ),
                                (
                                    "count",
                                    wagtail.blocks.IntegerBlock(
                                        default=10, label="maximum událostí k zobrazení"
                                    ),
                                ),
                                (
                                    "event_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("future", "budoucí"),
                                            ("past", "proběhlé"),
                                        ],
                                        label="druh událostí",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("pirati-yellow", "Žlutá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelená"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "chart",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", max_length=120
                                    ),
                                ),
                                (
                                    "chart_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("bar", "Graf se sloupci"),
                                            (
                                                "horizontalBar",
                                                "Graf s vodorovnými sloupci",
                                            ),
                                            ("pie", "Koláčový graf"),
                                            ("doughnut", "Donutový graf"),
                                            ("polarArea", "Graf polární oblasti"),
                                            ("radar", "Radarový graf"),
                                            ("line", "Graf s liniemi"),
                                        ],
                                        label="Typ",
                                    ),
                                ),
                                (
                                    "hide_points",
                                    wagtail.blocks.BooleanBlock(
                                        help_text="Mění vzhled pouze u linových grafů.",
                                        label="Schovat body",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_labels",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            label="Skupina", max_length=40
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místně definované skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení zdroje dat",
                                                        max_length=120,
                                                    ),
                                                ),
                                                (
                                                    "data",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.IntegerBlock(),
                                                        default=[0],
                                                        label="Data",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místní zdroje dat",
                                        required=False,
                                    ),
                                ),
                                (
                                    "redmine_issue_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "projects",
                                                    wagtail.blocks.MultipleChoiceBlock(
                                                        choices=shared.blocks.get_redmine_projects,
                                                        label="Projekty",
                                                    ),
                                                ),
                                                (
                                                    "is_open",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen otevřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "is_closed",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen uzavřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "created_on_min_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Min. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "created_on_max_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Max. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "updated_on",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. <=2023-01-01. Více informací na pi2.cz/redmine-api",
                                                        label="Filtr pro datum aktualizace",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "issue_label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení úkolů uvnitř grafu",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "split_per_project",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Rozdělit podle projektu",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "only_grow",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Pouze růst nahoru",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Redmine úkoly",
                                        ),
                                        blank=True,
                                        default=[],
                                        help_text="Úkoly, podle doby vytvoření. Pokud definuješ více zdrojů, datumy v nich musí být stejné.",
                                        label="Zdroje dat z Redmine (úkoly)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ],
                            template="uniweb/blocks/flip_cards.html",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky zobrazené po odeslání formuláře",
            ),
        ),
        migrations.AlterField(
            model_name="uniwebhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Nadpis", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Velký, Bebas Neue - 6XL"),
                                            (
                                                "head-alt-lg",
                                                "Střední, Bebas Neue - 4XL",
                                            ),
                                            (
                                                "head-alt-md",
                                                "Základní velikost - Roboto - MD",
                                            ),
                                            ("head-alt-sm", "Malý - Roboto - SM"),
                                            ("head-alt-xs", "Extra malý - Roboto - XS"),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide2.pirati.cz/pattern/patterns/atoms/text/headings.html.",
                                        label="Velikost",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "picture_title",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="nadpis")),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                        label="obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                            template="styleguide2/includes/atoms/text/prose_richtext.html",
                        ),
                    ),
                    (
                        "advanced_text",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="Textový editor",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "advanced_text_columns",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "vlevo"),
                                            ("center", "uprostřed"),
                                            ("right", "vpravo"),
                                        ],
                                        label="zarovnání",
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "left_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_gallery",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "gallery_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.images.blocks.ImageChooserBlock(
                                            label="obrázek", required=True
                                        ),
                                        group="ostatní",
                                        icon="image",
                                        label="Galerie",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "picture_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black_on_white", "černá na bílé"),
                                            ("black_on_yellow", "černá na žluté"),
                                            ("white_on_black", "bílá na černé"),
                                            ("white_on_blue", "bílá na modré"),
                                            ("white_on_cyan", "bílá na tyrkysové"),
                                            ("white_on_violet", "bílá na fialové"),
                                        ],
                                        label="barva",
                                    ),
                                ),
                                (
                                    "items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                                "superscript",
                                                "subscript",
                                                "strikethrough",
                                                "blockquote",
                                                "embed",
                                            ],
                                            label="Odstavec",
                                        ),
                                        label="Odstavce",
                                    ),
                                ),
                                (
                                    "picture",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Rozměr 30x30px nebo více (obrázek bude zmenšen na 30x30px)",
                                        label="Obrázek",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "aligned_table",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "alignment",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("left", "Vlevo"),
                                            ("center", "Vprostřed"),
                                            ("right", "Vpravo"),
                                            ("full", "Celá šířka obrazovky"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                                (
                                    "table",
                                    wagtail.contrib.table_block.blocks.TableBlock(
                                        label="Tabulka"
                                    ),
                                ),
                            ],
                            group="ostatní",
                            template="styleguide2/includes/atoms/table/aligned_table.html",
                        ),
                    ),
                    (
                        "table",
                        wagtail.contrib.table_block.blocks.TableBlock(
                            group="ostatní",
                            label="Tabulka",
                            template="styleguide2/includes/atoms/table/table.html",
                        ),
                    ),
                    (
                        "articles",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Sekce článků",
                                        page_type=["uniweb.UniwebArticlesIndexPage"],
                                    ),
                                ),
                                (
                                    "lines",
                                    wagtail.blocks.IntegerBlock(
                                        default=1,
                                        help_text="Zobrazí se tři články na řádek",
                                        label="Počet řádků",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "calendar_agenda",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "info",
                                    wagtail.blocks.static_block.StaticBlock(
                                        admin_text="adresa kalendáře se zadává v nastavení hlavní stránky webu",
                                        label="volba kalendáře",
                                    ),
                                ),
                                (
                                    "count",
                                    wagtail.blocks.IntegerBlock(
                                        default=10, label="maximum událostí k zobrazení"
                                    ),
                                ),
                                (
                                    "event_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("future", "budoucí"),
                                            ("past", "proběhlé"),
                                        ],
                                        label="druh událostí",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "new_button",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", max_length=128, required=True
                                    ),
                                ),
                                (
                                    "color",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("black", "Černá"),
                                            ("white", "Bílá"),
                                            ("pirati-yellow", "Žlutá"),
                                            ("grey-125", "Světle šedá"),
                                            ("blue-300", "Modrá"),
                                            ("cyan-200", "Tyrkysová"),
                                            ("green-400", "Zelená"),
                                            ("violet-400", "Vínová"),
                                            ("red-600", "Červená"),
                                        ],
                                        label="Barva",
                                    ),
                                ),
                                (
                                    "hoveractive",
                                    wagtail.blocks.BooleanBlock(
                                        default=True,
                                        help_text="Pokud je zapnuto, tlačítko při najetí kurzorem ukáže žlutou šipku.",
                                        label="Animovat na hover",
                                        required=False,
                                    ),
                                ),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Stránka", required=False
                                    ),
                                ),
                                (
                                    "link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz", required=False
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "chart",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Název", max_length=120
                                    ),
                                ),
                                (
                                    "chart_type",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("bar", "Graf se sloupci"),
                                            (
                                                "horizontalBar",
                                                "Graf s vodorovnými sloupci",
                                            ),
                                            ("pie", "Koláčový graf"),
                                            ("doughnut", "Donutový graf"),
                                            ("polarArea", "Graf polární oblasti"),
                                            ("radar", "Radarový graf"),
                                            ("line", "Graf s liniemi"),
                                        ],
                                        label="Typ",
                                    ),
                                ),
                                (
                                    "hide_points",
                                    wagtail.blocks.BooleanBlock(
                                        help_text="Mění vzhled pouze u linových grafů.",
                                        label="Schovat body",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_labels",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.CharBlock(
                                            label="Skupina", max_length=40
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místně definované skupiny",
                                        required=False,
                                    ),
                                ),
                                (
                                    "local_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení zdroje dat",
                                                        max_length=120,
                                                    ),
                                                ),
                                                (
                                                    "data",
                                                    wagtail.blocks.ListBlock(
                                                        wagtail.blocks.IntegerBlock(),
                                                        default=[0],
                                                        label="Data",
                                                    ),
                                                ),
                                            ]
                                        ),
                                        blank=True,
                                        collapsed=True,
                                        default=[],
                                        label="Místní zdroje dat",
                                        required=False,
                                    ),
                                ),
                                (
                                    "redmine_issue_datasets",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "projects",
                                                    wagtail.blocks.MultipleChoiceBlock(
                                                        choices=shared.blocks.get_redmine_projects,
                                                        label="Projekty",
                                                    ),
                                                ),
                                                (
                                                    "is_open",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen otevřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "is_closed",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Jen uzavřené",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "created_on_min_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Min. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "created_on_max_date",
                                                    wagtail.blocks.DateBlock(
                                                        label="Max. datum vytvoření",
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "updated_on",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Např. <=2023-01-01. Více informací na pi2.cz/redmine-api",
                                                        label="Filtr pro datum aktualizace",
                                                        max_length=128,
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "issue_label",
                                                    wagtail.blocks.CharBlock(
                                                        label="Označení úkolů uvnitř grafu",
                                                        max_length=128,
                                                        required=True,
                                                    ),
                                                ),
                                                (
                                                    "split_per_project",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Rozdělit podle projektu",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "only_grow",
                                                    wagtail.blocks.BooleanBlock(
                                                        label="Pouze růst nahoru",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Redmine úkoly",
                                        ),
                                        blank=True,
                                        default=[],
                                        help_text="Úkoly, podle doby vytvoření. Pokud definuješ více zdrojů, datumy v nich musí být stejné.",
                                        label="Zdroje dat z Redmine (úkoly)",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "cards",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "cards",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "bg_color",
                                                    wagtail.blocks.CharBlock(
                                                        default="FEC900",
                                                        label="Barva pozadí",
                                                    ),
                                                ),
                                                (
                                                    "image",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Obrázek", required=False
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.TextBlock(
                                                        help_text="Řádkování je manuální.",
                                                        label="Nadpis",
                                                    ),
                                                ),
                                                (
                                                    "content",
                                                    wagtail.blocks.RichTextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                                (
                                                    "button_text",
                                                    wagtail.blocks.CharBlock(
                                                        help_text="Pokud není vyplněn, tlačítko se neukáže.",
                                                        label="Nadpis tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "button_url",
                                                    wagtail.blocks.CharBlock(
                                                        label="Odkaz tlačítka",
                                                        required=False,
                                                    ),
                                                ),
                                            ],
                                            label="Karta",
                                        ),
                                        label="Karty",
                                    ),
                                )
                            ],
                            template="uniweb/blocks/flip_cards.html",
                        ),
                    ),
                    (
                        "newsletter",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "list_id",
                                    wagtail.blocks.CharBlock(
                                        label="ID newsletteru", required=True
                                    ),
                                ),
                                (
                                    "title_line_1",
                                    wagtail.blocks.CharBlock(
                                        default="Odebírej náš",
                                        label="Nadpis bloku (1. řádek)",
                                        required=True,
                                    ),
                                ),
                                (
                                    "title_line_2",
                                    wagtail.blocks.CharBlock(
                                        default="newsletter",
                                        label="Nadpis bloku (2. řádek)",
                                        required=True,
                                    ),
                                ),
                                (
                                    "description",
                                    wagtail.blocks.CharBlock(
                                        default="Fake news tam nenajdeš, ale dozvíš se, co chystáme doopravdy!",
                                        label="Popis newsletteru",
                                        required=True,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
